Add wallet payout method
curl --request POST \
--url https://api-staging.stablestack.com/api/payout/methods/wallets \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"type": "WALLET",
"wallet_address": "0x9iu41923E23DcE32d1A346e96558dA89f89DD1aB",
"network": "erc20",
"currency": "USDC",
"customer_id": "85b148ab-3f6b-4d55-917f-3c8de668a48e",
"label": "usdc wallet"
}
'import requests
url = "https://api-staging.stablestack.com/api/payout/methods/wallets"
payload = {
"type": "WALLET",
"wallet_address": "0x9iu41923E23DcE32d1A346e96558dA89f89DD1aB",
"network": "erc20",
"currency": "USDC",
"customer_id": "85b148ab-3f6b-4d55-917f-3c8de668a48e",
"label": "usdc wallet"
}
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'WALLET',
wallet_address: '0x9iu41923E23DcE32d1A346e96558dA89f89DD1aB',
network: 'erc20',
currency: 'USDC',
customer_id: '85b148ab-3f6b-4d55-917f-3c8de668a48e',
label: 'usdc wallet'
})
};
fetch('https://api-staging.stablestack.com/api/payout/methods/wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"id": "10530920-81eb-451e-a205-16f9ddb1949a",
"type": "WALLET",
"currency": "USDC",
"label": "usdc wallet",
"wallet_address": "0x9iu41923E23DcE32d1A346e96558dA89f89DD1aB",
"network": "erc20",
"created_at": "2025-05-19T19:22:34.511Z",
"updated_at": "2025-05-19T19:22:34.511Z",
"customer_id": null
},
"message": "Merchant payout method added successfully!"
}Beneficiary
Add Wallet
API reference for adding wallet payout methods
POST
/
payout
/
methods
/
wallets
Add wallet payout method
Adds a new wallet payout method (either merchant-owned or customer-specific).
- Include
customer_idto create for a specific customer - Omit
customer_idto create merchant-owned wallet
Request Body:
{
"customer_id": "85b148ab-3f6b-4d55-917f-3c8de668a48e", // optional
"label": "usdc wallet", // optional
"wallet_address": "0x7fD41923E23DcE32d1A346e96558dA89f89DD1aB",
"network": "erc20",
"currency": "USDC"
}
Headers
Body
application/json
Must be 'WALLET' for this endpoint
Available options:
WALLET Example:
"0x9iu41923E23DcE32d1A346e96558dA89f89DD1aB"
Available options:
erc20, polygon Example:
"erc20"
Available options:
USDC Example:
"USDC"
Required only for customer-specific payout methods
Example:
"85b148ab-3f6b-4d55-917f-3c8de668a48e"
Maximum string length:
100Example:
"usdc wallet"